For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesExamplesChangelog
ReferenceGuidesExamplesChangelog
  • Data API
    • Introduction
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Custom fonts
  • Comments
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
  • Ecommerce
  • Webhooks
    • GETList Webhooks
    • GETGet Webhook
    • POSTCreate Webhook
    • DELRemove Webhook
  • Site Configuration
  • Enterprise
        • PUTSet a well-known file
        • DELDelete a well-known file
LogoLogo
Resources
Get started
EnterpriseSite ConfigurationWell-Known Files

Delete a well-known file

DELETE
https://api.webflow.com/v2/sites/:site_id/well_known
DELETE
/v2/sites/:site_id/well_known
$curl -X DELETE https://api.webflow.com/v2/sites/580e63e98c9a982ac9b8b741/well_known \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "fileNames": [
> "apple-app-site-association",
> "security.txt"
> ]
>}'
1{}
Delete existing well-known files from a site. <Warning title="Enterprise Only">This endpoint requires an Enterprise workspace.</Warning> Required scope: `site_config:write`
Was this page helpful?
Previous

Create Site

Next
Built with

Delete existing well-known files from a site.

Enterprise Only
This endpoint requires an Enterprise workspace.

Required scope: site_config:write

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site

Request

This endpoint expects an object.
fileNameslist of stringsOptional
A list of file names to delete

Response

File deleted successfully

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error